Subject: Re: why does ppc64 require boards to call pci_devs_phb_init()?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 01 May 2009 07:09:14 +1000

On Thu, 2009-04-30 at 13:04 -0500, Kumar Gala wrote:
> On Apr 30, 2009, at 10:37 AM, Kumar Gala wrote:
> 
> > looking at merging this in w/ppc32 and wondering why board code has  
> > to call pci_devs_phb_init() and not do it via pcibios_init()
> >
> > - k
> 
> As I look at this a bit more, I'm thinking why don't we do:
> 
> pci_devs_phb_init_dynamic() in pcibios_alloc_controller
> 
> An add some code into pci_devs_phb_init_dynamic so we don't re-do  
> update_dn_pci_info if dn->data is already set.
> 
> I am not sure what impact this has ppc64 systems that call  
> pci_devs_phb_init()

That would probably work, remains the reconfig notifier thing but that
can probably be moved to pseries platform.

Cheers,
Ben.